stable
FEDORA-EPEL-2021-8e007c7166 created by robert 10 months ago for Fedora EPEL 7

UnrealIRCd 5.2.2

Fixes

  • Fix issues with Let's Encrypt certificates for remote includes (quite common) and with linking to servers with link::verify-certificate enabled (more rare). Both issues only happen with:
    • OpenSSL 1.0.2 and older, which is officially unsupported, but still in use on e.g. Debian 8 and Ubuntu 16.04.
    • LibreSSL, such as with UnrealIRCd on Windows
  • OpenBSD compile issue when using shipped c-ares

Enhancements

Module coders / IRC protocol

  • S2S: Allow SVSLOGIN also when set::sasl-server is not set.
  • Some minor CHATHISTORY fixes, for example the subcommand is now case-insensitive.
  • You can use the new UNREAL_VERSION macro. It is easier than the old individual UNREAL_VERSION_MAJOR/MINOR/etc macros.

This update has been submitted for testing by robert.

10 months ago

This update's test gating status has been changed to 'ignored'.

10 months ago

This update's test gating status has been changed to 'waiting'.

10 months ago

This update's test gating status has been changed to 'ignored'.

10 months ago

This update has been pushed to testing.

10 months ago

This update has been submitted for stable by bodhi.

10 months ago

This update has been pushed to stable.

10 months ago

Please login to add feedback.

Metadata
Type
enhancement
Severity
low
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
1
Stable by Time
7 days
Dates
submitted
10 months ago
in testing
10 months ago
in stable
10 months ago
BZ#2010085 unrealircd-5.2.2 is available
0
0

Automated Test Results